/////////////////////////////////////////////////////////////////////////////
//
//                        Demo Application for
//        DLL API for RDS Signal Generator "HG 81300-B/PC" v1.0
//       -------------------------------------------------------
//
//    remote control of RDS-coder "HG 81300-B/PC" via serial COM port
//    for Microsoft Windows 32 bit, developed with Microsoft Visual C++ 6.0
//
//    (C) 2001 by Gtting KG, radio sets   Author: O. Herbst, Feb. 2001
//
//    address: Gtting KG, Celler Strae 5, 31275 Lehrte/Rddensen, Germany
//    http:    www.goetting.de
//    email:   RDS-Support@Goetting.de
//
/////////////////////////////////////////////////////////////////////////////


// RDS HG813B DLL Demo.cpp : determines the behavior of the class
//                           for this application

#include "stdafx.h"
#include "RDS HG813B DLL Demo.h"
#include "RDS HG813B DLL Demo Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRDS_HG813B_DLL_Demo_App

BEGIN_MESSAGE_MAP(CRDS_HG813B_DLL_Demo_App, CWinApp)
	//{{AFX_MSG_MAP(CRDS_HG813B_DLL_Demo_App)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRDS_HG813B_DLL_Demo_App construction

CRDS_HG813B_DLL_Demo_App::CRDS_HG813B_DLL_Demo_App()
{
}

/////////////////////////////////////////////////////////////////////////////

CRDS_HG813B_DLL_Demo_App theApp;  // the only application object

/////////////////////////////////////////////////////////////////////////////
// CRDS_HG813B_DLL_Demo_App Initialisierung

BOOL CRDS_HG813B_DLL_Demo_App::InitInstance()
{
	AfxEnableControlContainer();

	// default initialization
#ifdef _AFXDLL
	Enable3dControls();
#else
	Enable3dControlsStatic();
#endif

    CRDS_HG813B_DLL_Demo_Dlg dlg;  // the demo dialog
	m_pMainWnd = &dlg;
	
    int nResponse = dlg.DoModal();
//	if (nResponse == IDOK) ; else if (nResponse == IDCANCEL) ;

	return FALSE;
}
